From ac98fdd494e7d025ae47cf45424d9cdaeef7f104 Mon Sep 17 00:00:00 2001
From: Peter Seibel <peter@gigamonkeys.com>
Date: Sat, 4 Jan 2025 05:54:31 -0800
Subject: [PATCH 2/2] Simpler way to get list of addable files.

---
 lisp/pcmpl-git.el | 7 +------
 1 file changed, 1 insertion(+), 6 deletions(-)

diff --git a/lisp/pcmpl-git.el b/lisp/pcmpl-git.el
index 498918ac1c4..ab5e3305865 100644
--- a/lisp/pcmpl-git.el
+++ b/lisp/pcmpl-git.el
@@ -86,12 +86,7 @@ Files listed by `git ls-files ARGS' satisfy the predicate."
                ("add"
                 (pcomplete-here
                  (pcomplete-entries
-                  nil (let ((modified (pcmpl-git--tracked-file-predicate "-m"))
-                            (untracked (pcmpl-git--tracked-file-predicate "-o" "--exclude-standard")))
-                        (lambda (file)
-                          (or
-                           (and modified (funcall modified file))
-                           (and untracked (funcall untracked file))))))))
+                  nil (pcmpl-git--tracked-file-predicate "-o" "--exclude-standard" "-m"))))
                ;; Complete modified tracked files
                ((or "commit" "restore")
                 (pcomplete-here
-- 
2.47.1

